Archive a function for a definition
curl --request DELETE \
--url 'https://api.hubapi.com/automation/v4/actions/{appId}/{definitionId}/functions/{functionType}/{functionId}?hapikey='import requests
url = "https://api.hubapi.com/automation/v4/actions/{appId}/{definitionId}/functions/{functionType}/{functionId}?hapikey="
response = requests.delete(url)
print(response.text)const options = {method: 'DELETE'};
fetch('https://api.hubapi.com/automation/v4/actions/{appId}/{definitionId}/functions/{functionType}/{functionId}?hapikey=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hubapi.com/automation/v4/actions/{appId}/{definitionId}/functions/{functionType}/{functionId}?hapikey=",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.hubapi.com/automation/v4/actions/{appId}/{definitionId}/functions/{functionType}/{functionId}?hapikey="
req, _ := http.NewRequest("DELETE", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.hubapi.com/automation/v4/actions/{appId}/{definitionId}/functions/{functionType}/{functionId}?hapikey=")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hubapi.com/automation/v4/actions/{appId}/{definitionId}/functions/{functionType}/{functionId}?hapikey=")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
response = http.request(request)
puts response.read_bodyThis response has no body data.{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Functions
Archive a function for a definition
Archive a function for a specific definition.
DELETE
/
automation
/
v4
/
actions
/
{appId}
/
{definitionId}
/
functions
/
{functionType}
/
{functionId}
Archive a function for a definition
curl --request DELETE \
--url 'https://api.hubapi.com/automation/v4/actions/{appId}/{definitionId}/functions/{functionType}/{functionId}?hapikey='import requests
url = "https://api.hubapi.com/automation/v4/actions/{appId}/{definitionId}/functions/{functionType}/{functionId}?hapikey="
response = requests.delete(url)
print(response.text)const options = {method: 'DELETE'};
fetch('https://api.hubapi.com/automation/v4/actions/{appId}/{definitionId}/functions/{functionType}/{functionId}?hapikey=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hubapi.com/automation/v4/actions/{appId}/{definitionId}/functions/{functionType}/{functionId}?hapikey=",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.hubapi.com/automation/v4/actions/{appId}/{definitionId}/functions/{functionType}/{functionId}?hapikey="
req, _ := http.NewRequest("DELETE", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.hubapi.com/automation/v4/actions/{appId}/{definitionId}/functions/{functionType}/{functionId}?hapikey=")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hubapi.com/automation/v4/actions/{appId}/{definitionId}/functions/{functionType}/{functionId}?hapikey=")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
response = http.request(request)
puts response.read_bodyThis response has no body data.{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Supported products
Supported products
Authorizations
Path Parameters
The ID of the application associated with the custom workflow action.
The ID of the custom workflow action definition.
The ID of the specific function within the workflow action definition.
The type of function, accepted values are: POST_ACTION_EXECUTION, POST_FETCH_OPTIONS, PRE_ACTION_EXECUTION, PRE_FETCH_OPTIONS.
Available options:
POST_ACTION_EXECUTION, POST_FETCH_OPTIONS, PRE_ACTION_EXECUTION, PRE_FETCH_OPTIONS Response
No content
Last modified on March 30, 2026
Was this page helpful?